Index: svn/src/mainboard/asus/p2b-d/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/p2b-d/mptable.c
+++ svn/src/mainboard/asus/p2b-d/mptable.c
@@ -24,7 +24,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "COREBOOT";
Index: svn/src/mainboard/asus/p2b-ds/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/p2b-ds/mptable.c
+++ svn/src/mainboard/asus/p2b-ds/mptable.c
@@ -24,7 +24,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "COREBOOT";
Index: svn/src/southbridge/nvidia/ck804/ck804_nic.c
===================================================================
--- svn.orig/src/southbridge/nvidia/ck804/ck804_nic.c
+++ svn/src/southbridge/nvidia/ck804/ck804_nic.c
@@ -18,11 +18,11 @@ static void nic_init(struct device *dev)
 	int eeprom_valid = 0;
 	struct southbridge_nvidia_ck804_config *conf;
 	static uint32_t nic_index = 0;
-	uint8_t *base;
+	unsigned long base;
 	struct resource *res;
 
 	res = find_resource(dev, 0x10);
-	base = (uint8_t*)(unsigned long)res->base;
+	base = (unsigned long)res->base;
 
 #define NvRegPhyInterface  0xC0
 #define PHY_RGMII          0x10000000
@@ -76,8 +76,8 @@ static void nic_init(struct device *dev)
 	if (!eeprom_valid) {
 		unsigned long mac_pos;
 		mac_pos = 0xffffffd0; /* See romstrap.inc and romstrap.lds. */
-		mac_l = read32((uint8_t*)mac_pos) + nic_index;
-		mac_h = read32((uint8_t*)mac_pos + 4);
+		mac_l = read32(mac_pos) + nic_index;
+		mac_h = read32(mac_pos + 4);
 	}
 #if 1
 	/* Set that into NIC MMIO. */
Index: svn/src/mainboard/intel/mtarvon/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/mtarvon/mptable.c
+++ svn/src/mainboard/intel/mtarvon/mptable.c
@@ -26,7 +26,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "Intel   ";
Index: svn/src/mainboard/rca/rm4100/mainboard_smi.c
===================================================================
--- svn.orig/src/mainboard/rca/rm4100/mainboard_smi.c
+++ svn/src/mainboard/rca/rm4100/mainboard_smi.c
@@ -22,6 +22,7 @@
 #include <arch/io.h>
 #include <arch/romcc_io.h>
 #include <console/console.h>
+#include <cpu/x86/smm.h>
 
 int mainboard_io_trap_handler(int smif)
 {
Index: svn/src/northbridge/intel/i3100/pciexp_porta_ep80579.c
===================================================================
--- svn.orig/src/northbridge/intel/i3100/pciexp_porta_ep80579.c
+++ svn/src/northbridge/intel/i3100/pciexp_porta_ep80579.c
@@ -56,7 +56,6 @@ static void pcie_init(struct device *dev
 
 static void pcie_bus_enable_resources(struct device *dev)
 {
-	u8 val8;
 	if (dev->link[0].bridge_ctrl & PCI_BRIDGE_CTL_VGA) {
 		printk_spew("Enable VGA IO/MEM forwarding on PCIe port\n");
 		pci_write_config8(dev, PCI_BRIDGE_CONTROL, 8);
Index: svn/src/southbridge/intel/i3100/i3100_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i3100/i3100_lpc.c
+++ svn/src/southbridge/intel/i3100/i3100_lpc.c
@@ -317,7 +317,7 @@ static void lpc_init(struct device *dev)
 	if (!res) {
 		return;
 	}
-	*((u8 *)(res->base + 0x31ff)) |= (1 << 0);
+	*((u8 *)((u32)res->base + 0x31ff)) |= (1 << 0);
 
 	// TODO this code sets int 0 of the IOAPIC in Virtual Wire Mode
 	// (register 0x10/0x11) while the old code used int 1 (register 0x12)
Index: svn/src/southbridge/intel/i3100/i3100_reset.c
===================================================================
--- svn.orig/src/southbridge/intel/i3100/i3100_reset.c
+++ svn/src/southbridge/intel/i3100/i3100_reset.c
@@ -19,6 +19,7 @@
  */
 
 #include <arch/io.h>
+#include <reset.h>
 
 void hard_reset(void)
 {
Index: svn/src/mainboard/amd/dbm690t/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/mptable.c
+++ svn/src/mainboard/amd/dbm690t/mptable.c
@@ -38,7 +38,7 @@ extern u32 sbdn_sb600;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "ATI     ";
Index: svn/src/mainboard/amd/mahogany/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/mptable.c
+++ svn/src/mainboard/amd/mahogany/mptable.c
@@ -39,7 +39,7 @@ extern u32 sbdn_sb700;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "AMD     ";
Index: svn/src/mainboard/amd/mahogany_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/mptable.c
+++ svn/src/mainboard/amd/mahogany_fam10/mptable.c
@@ -39,7 +39,7 @@ extern u32 sbdn_sb700;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "AMD     ";
Index: svn/src/mainboard/amd/pistachio/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/mptable.c
+++ svn/src/mainboard/amd/pistachio/mptable.c
@@ -38,7 +38,7 @@ extern u32 sbdn_sb600;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "ATI     ";
Index: svn/src/mainboard/amd/serengeti_cheetah/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/mptable.c
+++ svn/src/mainboard/amd/serengeti_cheetah/mptable.c
@@ -12,7 +12,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "AMD     ";
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/mptable.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/mptable.c
@@ -31,7 +31,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "AMD     ";
Index: svn/src/mainboard/asus/a8n_e/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/a8n_e/mptable.c
+++ svn/src/mainboard/asus/a8n_e/mptable.c
@@ -34,7 +34,7 @@ extern unsigned apicid_ck804;
 extern unsigned bus_type[256];
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "ASUS    ";
Index: svn/src/mainboard/asus/a8v-e_se/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/a8v-e_se/mptable.c
+++ svn/src/mainboard/asus/a8v-e_se/mptable.c
@@ -23,7 +23,7 @@
 #include <../../../southbridge/via/vt8237r/vt8237r.h>
 #include <../../../southbridge/via/k8t890/k8t890.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXB    ";
Index: svn/src/mainboard/broadcom/blast/mptable.c
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/mptable.c
+++ svn/src/mainboard/broadcom/blast/mptable.c
@@ -21,7 +21,7 @@ extern  unsigned sbdn2;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "BROADCOM";
Index: svn/src/mainboard/dell/s1850/reset.c
===================================================================
--- svn.orig/src/mainboard/dell/s1850/reset.c
+++ svn/src/mainboard/dell/s1850/reset.c
@@ -1,5 +1,5 @@
 #include <arch/io.h>
-
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -25,19 +25,3 @@ void hard_reset(void)
         outb(0x02, 0xcf9);
         outb(0x06, 0xcf9);
 }
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801ER_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-		
-	}
-        outb(0x0e, 0xcf9);
-}
-
-
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/mptable.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/mptable.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/mptable.c
@@ -35,7 +35,7 @@ extern unsigned apicid_sis966;
 
 extern unsigned bus_type[256];
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "GIGABYTE";
Index: svn/src/mainboard/gigabyte/m57sli/mptable.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/mptable.c
+++ svn/src/mainboard/gigabyte/m57sli/mptable.c
@@ -36,7 +36,7 @@ extern unsigned bus_type[256]; 
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "GIGABYTE";
Index: svn/src/mainboard/hp/dl145_g3/mptable.c
===================================================================
--- svn.orig/src/mainboard/hp/dl145_g3/mptable.c
+++ svn/src/mainboard/hp/dl145_g3/mptable.c
@@ -43,7 +43,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "HP      ";
@@ -101,7 +101,7 @@ void *smp_write_config_table(void *v)
 			if (dev) {
 				res = find_resource(dev, PCI_BASE_ADDRESS_0);
 				if (res) {
-					printk_debug("APIC %d base address: %x\n",m->apicid_bcm5785[i],  res->base);
+					printk_debug("APIC %d base address: %llx\n",m->apicid_bcm5785[i],  res->base);
 					smp_write_ioapic(mc, m->apicid_bcm5785[i], 0x11, res->base);
 				}
 			}
Index: svn/src/mainboard/ibm/e325/mptable.c
===================================================================
--- svn.orig/src/mainboard/ibm/e325/mptable.c
+++ svn/src/mainboard/ibm/e325/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "IBM     ";
Index: svn/src/mainboard/ibm/e326/mptable.c
===================================================================
--- svn.orig/src/mainboard/ibm/e326/mptable.c
+++ svn/src/mainboard/ibm/e326/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "IBM     ";
Index: svn/src/mainboard/intel/d945gclf/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/mptable.c
+++ svn/src/mainboard/intel/d945gclf/mptable.c
@@ -25,7 +25,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "COREBOOT";
Index: svn/src/mainboard/intel/eagleheights/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/eagleheights/mptable.c
+++ svn/src/mainboard/intel/eagleheights/mptable.c
@@ -58,7 +58,7 @@
 #define RCBA_D29IR 0x3144
 #define RCBA_D28IR 0x3146
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "Intel   ";
Index: svn/src/mainboard/intel/jarrell/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/jarrell/mptable.c
+++ svn/src/mainboard/intel/jarrell/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/intel/truxton/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/truxton/mptable.c
+++ svn/src/mainboard/intel/truxton/mptable.c
@@ -24,7 +24,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "Intel   ";
Index: svn/src/mainboard/intel/xe7501devkit/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/mptable.c
+++ svn/src/mainboard/intel/xe7501devkit/mptable.c
@@ -142,7 +142,7 @@ void xe7501devkit_register_interrupts(st
 	smp_write_intsrc(mc, mp_INT,	MP_IRQ_TRIGGER_EDGE |MP_IRQ_POLARITY_HIGH,	SUPERIO_BUS,		15,					IOAPIC_ICH3,			15);
 }
 
-void* smp_write_config_table(void* v)
+static void *smp_write_config_table(void* v)
 {
 	static const char sig[4] = MPC_SIGNATURE;
     static const char oem[8] = "INTEL   ";
Index: svn/src/mainboard/iwill/dk8s2/mptable.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8s2/mptable.c
+++ svn/src/mainboard/iwill/dk8s2/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "IWILL   ";
Index: svn/src/mainboard/iwill/dk8x/mptable.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8x/mptable.c
+++ svn/src/mainboard/iwill/dk8x/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "IWILL   ";
Index: svn/src/mainboard/kontron/kt690/mptable.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/mptable.c
+++ svn/src/mainboard/kontron/kt690/mptable.c
@@ -38,7 +38,7 @@ extern u32 sbdn_sb600;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "KONTRON ";
Index: svn/src/mainboard/msi/ms7135/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7135/mptable.c
+++ svn/src/mainboard/msi/ms7135/mptable.c
@@ -38,7 +38,7 @@ extern unsigned bus_type[256];
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "MSI     ";
Index: svn/src/mainboard/msi/ms7260/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/mptable.c
+++ svn/src/mainboard/msi/ms7260/mptable.c
@@ -33,7 +33,7 @@ extern unsigned bus_type[256];
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "MSI     ";
Index: svn/src/mainboard/msi/ms9185/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/mptable.c
+++ svn/src/mainboard/msi/ms9185/mptable.c
@@ -40,7 +40,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[3] = "MSI";
Index: svn/src/mainboard/msi/ms9282/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/mptable.c
+++ svn/src/mainboard/msi/ms9282/mptable.c
@@ -34,7 +34,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "MSI    ";
Index: svn/src/mainboard/msi/ms9652_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/mptable.c
+++ svn/src/mainboard/msi/ms9652_fam10/mptable.c
@@ -31,7 +31,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "MSI     ";
Index: svn/src/mainboard/newisys/khepri/mptable.c
===================================================================
--- svn.orig/src/mainboard/newisys/khepri/mptable.c
+++ svn/src/mainboard/newisys/khepri/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "NEWISYS ";
Index: svn/src/mainboard/nvidia/l1_2pvv/mptable.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/mptable.c
+++ svn/src/mainboard/nvidia/l1_2pvv/mptable.c
@@ -31,7 +31,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "NVIDIA  ";
Index: svn/src/mainboard/roda/rk886ex/mptable.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/mptable.c
+++ svn/src/mainboard/roda/rk886ex/mptable.c
@@ -27,7 +27,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "COREBOOT";
Index: svn/src/mainboard/sunw/ultra40/mptable.c
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/mptable.c
+++ svn/src/mainboard/sunw/ultra40/mptable.c
@@ -34,7 +34,7 @@ extern  unsigned sbdnb;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "SUNW    ";
Index: svn/src/mainboard/supermicro/h8dme/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/mptable.c
+++ svn/src/mainboard/supermicro/h8dme/mptable.c
@@ -35,7 +35,7 @@ extern unsigned char bus_pcix[3]; // und
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "SUPERMIC";
Index: svn/src/mainboard/supermicro/h8dmr/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/mptable.c
+++ svn/src/mainboard/supermicro/h8dmr/mptable.c
@@ -35,7 +35,7 @@ extern unsigned char bus_pcix[3]; // und
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "SUPERMIC";
Index: svn/src/mainboard/supermicro/h8dmr_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/mptable.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/mptable.c
@@ -31,7 +31,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "SUPERMIC";
Index: svn/src/mainboard/supermicro/h8qme_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/mptable.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/mptable.c
@@ -32,7 +32,7 @@
 extern void get_bus_conf(void);
 extern unsigned sbdn3;
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "SUPERMIC";
Index: svn/src/mainboard/supermicro/x6dai_g/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dai_g/mptable.c
+++ svn/src/mainboard/supermicro/x6dai_g/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/supermicro/x6dhe_g/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhe_g/mptable.c
+++ svn/src/mainboard/supermicro/x6dhe_g/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/supermicro/x6dhe_g2/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhe_g2/mptable.c
+++ svn/src/mainboard/supermicro/x6dhe_g2/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/supermicro/x6dhr_ig/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhr_ig/mptable.c
+++ svn/src/mainboard/supermicro/x6dhr_ig/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/supermicro/x6dhr_ig2/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhr_ig2/mptable.c
+++ svn/src/mainboard/supermicro/x6dhr_ig2/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/technexion/tim5690/mptable.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/mptable.c
+++ svn/src/mainboard/technexion/tim5690/mptable.c
@@ -38,7 +38,7 @@ extern u32 sbdn_sb600;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "ATI     ";
Index: svn/src/mainboard/technexion/tim8690/mptable.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/mptable.c
+++ svn/src/mainboard/technexion/tim8690/mptable.c
@@ -38,7 +38,7 @@ extern u32 sbdn_sb600;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "ATI     ";
Index: svn/src/mainboard/tyan/s2735/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2735/mptable.c
+++ svn/src/mainboard/tyan/s2735/mptable.c
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2850/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2850/mptable.c
+++ svn/src/mainboard/tyan/s2850/mptable.c
@@ -43,7 +43,7 @@ static unsigned node_link_to_bus(unsigne
 }
 
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2875/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2875/mptable.c
+++ svn/src/mainboard/tyan/s2875/mptable.c
@@ -41,7 +41,7 @@ static unsigned node_link_to_bus(unsigne
         return 0;
 }
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2880/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2880/mptable.c
+++ svn/src/mainboard/tyan/s2880/mptable.c
@@ -43,7 +43,7 @@ static unsigned node_link_to_bus(unsigne
 }
 
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2881/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/mptable.c
+++ svn/src/mainboard/tyan/s2881/mptable.c
@@ -20,7 +20,7 @@ extern  unsigned sbdn3;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2882/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/mptable.c
+++ svn/src/mainboard/tyan/s2882/mptable.c
@@ -43,7 +43,7 @@ static unsigned node_link_to_bus(unsigne
         return 0;
 }
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2885/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2885/mptable.c
+++ svn/src/mainboard/tyan/s2885/mptable.c
@@ -24,7 +24,7 @@ extern  unsigned sbdn5;
 extern void get_bus_conf(void);
 
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2891/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/mptable.c
+++ svn/src/mainboard/tyan/s2891/mptable.c
@@ -24,7 +24,7 @@ extern  unsigned sbdn3;
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2912/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/mptable.c
+++ svn/src/mainboard/tyan/s2912/mptable.c
@@ -31,7 +31,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s2912_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/mptable.c
+++ svn/src/mainboard/tyan/s2912_fam10/mptable.c
@@ -31,7 +31,7 @@
 
 extern void get_bus_conf(void);
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s4880/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s4880/mptable.c
+++ svn/src/mainboard/tyan/s4880/mptable.c
@@ -41,7 +41,7 @@ static unsigned node_link_to_bus(unsigne
         return 0;
 }
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/tyan/s4882/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s4882/mptable.c
+++ svn/src/mainboard/tyan/s4882/mptable.c
@@ -42,7 +42,7 @@ static unsigned node_link_to_bus(unsigne
         return 0;
 }
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "TYAN    ";
Index: svn/src/mainboard/via/epia-n/mptable.c
===================================================================
--- svn.orig/src/mainboard/via/epia-n/mptable.c
+++ svn/src/mainboard/via/epia-n/mptable.c
@@ -6,7 +6,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
         static const char sig[4] = "PCMP";
         static const char oem[8] = "LNXI    ";
Index: svn/src/mainboard/via/pc2500e/mptable.c
===================================================================
--- svn.orig/src/mainboard/via/pc2500e/mptable.c
+++ svn/src/mainboard/via/pc2500e/mptable.c
@@ -32,7 +32,7 @@
 
 #define bus_isa 2
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = "PCMP";
 	static const char oem[8] = "VIA     ";
Index: svn/src/mainboard/via/vt8454c/mptable.c
===================================================================
--- svn.orig/src/mainboard/via/vt8454c/mptable.c
+++ svn/src/mainboard/via/vt8454c/mptable.c
@@ -27,7 +27,7 @@
 #include <string.h>
 #include <stdint.h>
 
-void *smp_write_config_table(void *v)
+static void *smp_write_config_table(void *v)
 {
 	static const char sig[4] = MPC_SIGNATURE;
 	static const char oem[8] = "COREBOOT";
